Get Form Fields
Returns field definitions for a form.
GET /forms/
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | string | Yes | The form ID |
Response
{
"fields": [
{
"fieldName": "email",
"label": "Email Address",
"type": "email",
"required": true
},
{
"fieldName": "department",
"label": "Department",
"type": "select",
"required": true,
"options": [
{ "id": "sales", "label": "Sales" },
{ "id": "support", "label": "Support" }
]
}
],
"fieldCount": 2
}Field Object
| Field | Type | Description |
|---|---|---|
fieldName | string | Unique field identifier |
label | string | Display label |
type | string | Field type (text, email, select, etc.) |
required | boolean | Whether the field is required |
options | array | Available options (select, radio, checkbox) |
Code Examples
curl https://api.makeform.ai/forms/abc123/fields \
-H "Authorization: Bearer mk_xxxxxxxxxxxxx"